Bug 118514 - gimp still has undefined code in it
Summary: gimp still has undefined code in it
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-17 09:55 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-03 01:44:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-03-17 09:55:07 UTC
Description of problem:

Following on from bug #110819, I can confirm that Core2 Test1
version of gimp hasn't moved to 2.0, and so is still broken,
as follows:


I just tried to compile Fedora Core2 Test1 package
gimp-1.2.5-1

The compiler said

gimp.spec.out:paint_funcs.c:992: warning: operation on `tmp' may be
undefined
gimp.spec.out:paint_funcs.c:992: warning: operation on `tmp' may be
undefined

The source code is

      dest[b] = INT_MULT(src1[b], src1[b] + INT_MULT(2 * src2[b],
                             255 - src1[b],
                             tmp), tmp);

I agree with the compiler - this code is certainly undefined.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Nils Philippsen 2004-04-03 01:44:30 UTC
Please reopen the bug if it still aplies with gimp-2.0.0-5.


Note You need to log in before you can comment on or make changes to this bug.